Bug 94321 - [PATCH] textproc/ctpp: Fix WWW, portlint
Summary: [PATCH] textproc/ctpp: Fix WWW, portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-11 13:30 UTC by Ion-Mihai " IOnut " Tetcu
Modified: 2006-04-09 21:23 UTC (History)
0 users

See Also:


Attachments
ctpp.diff (6.88 KB, patch)
2006-03-11 13:30 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ion-Mihai " IOnut " Tetcu 2006-03-11 13:30:31 UTC

Reported by:		fenner's distfiles survey
Comment 1 Edwin Groothuis freebsd_committer 2006-03-11 13:36:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Renato Botelho freebsd_committer 2006-03-25 18:08:35 UTC
Dear maintainer,

I proposed this new patch, that makes the port respect NOPORTDOCS var if
it's set. Do you approve it?

--------------------- ctpp.diff starts here ----------------------------
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/textproc/ctpp/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	9 Feb 2005 21:12:46 -0000	1.5
+++ Makefile	25 Mar 2006 17:57:48 -0000
@@ -26,6 +26,10 @@
 CONFIGURE_ARGS+=	--enable-debug
 .endif
 
+.if !defined(NOPORTDOCS)
+INSTALL_TARGET=	install install-doc
+.endif
+
 post-patch:
 	@${RM} -f ${WRKSRC}/obj/*.o
 
Index: pkg-descr
===================================================================
RCS file: /home/pcvs/ports/textproc/ctpp/pkg-descr,v
retrieving revision 1.1
diff -u -r1.1 pkg-descr
--- pkg-descr	26 Jul 2004 12:32:51 -0000	1.1
+++ pkg-descr	25 Mar 2006 17:57:48 -0000
@@ -1,6 +1,6 @@
 This is a simple set of C++ classes which allow to use
 templates like perl module HTML::Template
 
-WWW: http://www.reki.ru/products/ctpp
+WWW: http://reki.ru/products/ctpp/
 
 - shetuhin@corp.mail.ru
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/textproc/ctpp/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist	9 Feb 2005 21:12:46 -0000	1.4
+++ pkg-plist	25 Mar 2006 17:57:48 -0000
@@ -15,82 +15,82 @@
 include/ctpp/util/d2str.hpp
 lib/libctpp.so
 lib/libctpp.a
-share/doc/ctpp/en/ctpp.chm
-share/doc/ctpp/en/html/ctpp_compile.html
-share/doc/ctpp/en/html/ctpp_context_vars.html
-share/doc/ctpp/en/html/ctpp_cover.html
-share/doc/ctpp/en/html/ctpp.css
-share/doc/ctpp/en/html/ctpp_def.html
-share/doc/ctpp/en/html/ctpp_dev_algorithm.html
-share/doc/ctpp/en/html/ctpp_dev_api.html
-share/doc/ctpp/en/html/ctpp_dev_intro.html
-share/doc/ctpp/en/html/ctpp_dev_sample.html
-share/doc/ctpp/en/html/ctpp_dev_udf.html
-share/doc/ctpp/en/html/ctpp_errors.html
-share/doc/ctpp/en/html/ctpp_function_form_param.html
-share/doc/ctpp/en/html/ctpp_function_href_param.html
-share/doc/ctpp/en/html/ctpp_function_htmlescape.html
-share/doc/ctpp/en/html/ctpp_function_in_set.html
-share/doc/ctpp/en/html/ctpp_function_is_a.html
-share/doc/ctpp/en/html/ctpp_function_num_format.html
-share/doc/ctpp/en/html/ctpp_function_re.html
-share/doc/ctpp/en/html/ctpp_function_sprintf.html
-share/doc/ctpp/en/html/ctpp_function_urlescape.html
-share/doc/ctpp/en/html/ctpp.hhc
-share/doc/ctpp/en/html/ctpp.hhk
-share/doc/ctpp/en/html/ctpp.hhp
-share/doc/ctpp/en/html/ctpp_intro.html
-share/doc/ctpp/en/html/ctpp_license.html
-share/doc/ctpp/en/html/ctpp_operators.html
-share/doc/ctpp/en/html/ctpp_thanks.html
-share/doc/ctpp/en/html/ctpp_tmpl_if.html
-share/doc/ctpp/en/html/ctpp_tmpl_include.html
-share/doc/ctpp/en/html/ctpp_tmpl_loop.html
-share/doc/ctpp/en/html/ctpp_tmpl_udf.html
-share/doc/ctpp/en/html/ctpp_tmpl_var.html
-share/doc/ctpp/en/html/index.html
-share/doc/ctpp/en/html/index_left.html
-share/doc/ctpp/ru/ctpp.chm
-share/doc/ctpp/ru/html/ctpp_compile.html
-share/doc/ctpp/ru/html/ctpp_context_vars.html
-share/doc/ctpp/ru/html/ctpp_cover.html
-share/doc/ctpp/ru/html/ctpp.css
-share/doc/ctpp/ru/html/ctpp_def.html
-share/doc/ctpp/ru/html/ctpp_dev_algorithm.html
-share/doc/ctpp/ru/html/ctpp_dev_api.html
-share/doc/ctpp/ru/html/ctpp_dev_intro.html
-share/doc/ctpp/ru/html/ctpp_dev_sample.html
-share/doc/ctpp/ru/html/ctpp_dev_udf.html
-share/doc/ctpp/ru/html/ctpp_errors.html
-share/doc/ctpp/ru/html/ctpp_function_form_param.html
-share/doc/ctpp/ru/html/ctpp_function_href_param.html
-share/doc/ctpp/ru/html/ctpp_function_htmlescape.html
-share/doc/ctpp/ru/html/ctpp_function_in_set.html
-share/doc/ctpp/ru/html/ctpp_function_is_a.html
-share/doc/ctpp/ru/html/ctpp_function_num_format.html
-share/doc/ctpp/ru/html/ctpp_function_re.html
-share/doc/ctpp/ru/html/ctpp_function_sprintf.html
-share/doc/ctpp/ru/html/ctpp_function_urlescape.html
-share/doc/ctpp/ru/html/ctpp.hhc
-share/doc/ctpp/ru/html/ctpp.hhk
-share/doc/ctpp/ru/html/ctpp.hhp
-share/doc/ctpp/ru/html/ctpp_intro.html
-share/doc/ctpp/ru/html/ctpp_license.html
-share/doc/ctpp/ru/html/ctpp_operators.html
-share/doc/ctpp/ru/html/ctpp_thanks.html
-share/doc/ctpp/ru/html/ctpp_tmpl_if.html
-share/doc/ctpp/ru/html/ctpp_tmpl_include.html
-share/doc/ctpp/ru/html/ctpp_tmpl_loop.html
-share/doc/ctpp/ru/html/ctpp_tmpl_udf.html
-share/doc/ctpp/ru/html/ctpp_tmpl_var.html
-share/doc/ctpp/ru/html/index.html
-share/doc/ctpp/ru/html/index_left.html
+%%PORTDOCS%%%%DOCSDIR%%/en/ctpp.chm
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_compile.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_context_vars.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_cover.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp.css
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_def.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_dev_algorithm.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_dev_api.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_dev_intro.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_dev_sample.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_dev_udf.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_errors.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_form_param.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_href_param.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_htmlescape.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_in_set.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_is_a.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_num_format.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_re.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_sprintf.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_function_urlescape.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp.hhc
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp.hhk
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp.hhp
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_intro.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_license.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_operators.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_thanks.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_tmpl_if.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_tmpl_include.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_tmpl_loop.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_tmpl_udf.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/ctpp_tmpl_var.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/index.html
+%%PORTDOCS%%%%DOCSDIR%%/en/html/index_left.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/ctpp.chm
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_compile.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_context_vars.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_cover.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp.css
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_def.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_dev_algorithm.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_dev_api.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_dev_intro.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_dev_sample.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_dev_udf.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_errors.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_form_param.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_href_param.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_htmlescape.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_in_set.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_is_a.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_num_format.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_re.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_sprintf.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_function_urlescape.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp.hhc
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp.hhk
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp.hhp
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_intro.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_license.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_operators.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_thanks.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_tmpl_if.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_tmpl_include.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_tmpl_loop.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_tmpl_udf.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/ctpp_tmpl_var.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/index.html
+%%PORTDOCS%%%%DOCSDIR%%/ru/html/index_left.html
 @dirrm include/ctpp/util
 @dirrm include/ctpp/functions
 @dirrm include/ctpp/ctpp
 @dirrm include/ctpp
-@dirrm share/doc/ctpp/en/html
-@dirrm share/doc/ctpp/en
-@dirrm share/doc/ctpp/ru/html
-@dirrm share/doc/ctpp/ru
-@dirrm share/doc/ctpp
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/en/html
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/en
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/ru/html
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/ru
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
Index: files/patch-Makefile.in
===================================================================
RCS file: /home/pcvs/ports/textproc/ctpp/files/patch-Makefile.in,v
retrieving revision 1.1
diff -u -r1.1 patch-Makefile.in
--- files/patch-Makefile.in	9 Feb 2005 21:12:46 -0000	1.1
+++ files/patch-Makefile.in	25 Mar 2006 17:57:48 -0000
@@ -1,8 +1,11 @@
---- Makefile.in.orig	Wed Feb  9 11:50:31 2005
-+++ Makefile.in	Wed Feb  9 22:09:28 2005
-@@ -75,8 +75,8 @@
+--- Makefile.in.orig	Wed Feb  9 10:50:31 2005
++++ Makefile.in	Sat Mar 25 17:56:33 2006
+@@ -74,9 +74,11 @@
+ 			fi; \
  		fi; \
  	done;
++
++install-doc::
  	@echo -------------------------------------- Installing documentation ----------
 -	if test ! -d "$(PREFIX)/doc"; then \
 -		$(INSTALL) -d -m 0755 $(PREFIX)/doc; \
@@ -11,7 +14,7 @@
  	fi; \
  	ELEM_LIST=`ls -R -1 $(BUILDROOT)/doc | sed 's!:$$!!';` ; \
  	CURR_DIR=''; \
-@@ -85,10 +85,10 @@
+@@ -85,10 +87,10 @@
  			EXCL_PATH=`echo $(BUILDROOT)/doc | sed 's!\.!\\\\.!g'`; \
  			INST_PATH=`eval "echo $$ELEMENT | sed 's!^$$EXCL_PATH!!g'"`; \
  			CURR_DIR=$$ELEMENT; \
--------------------- ctpp.diff ends here ----------------------------

-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 3 Renato Botelho freebsd_committer 2006-03-25 18:10:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 4 Renato Botelho freebsd_committer 2006-04-09 21:23:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!